This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 764023 - (GLUSTER-2291) NFS crash (invalid argument: inode)
NFS crash (invalid argument: inode)
Status: CLOSED NOTABUG
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
3.1.1
All Linux
low Severity medium
: ---
: ---
Assigned To: Shehjar Tikoo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-12 11:18 EST by Lukasz Jagiello
Modified: 2011-05-25 05:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTP
Mount Type: nfs
Documentation: DNR
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukasz Jagiello 2011-01-12 11:18:21 EST
[2011-01-12 17:03:41.987786] E [afr-common.c:196:afr_read_child] ftp-replicate-0: invalid argument: inode
pending frames:

patchset: v3.1.1-63-g5368b89
signal received: 11
time of crash: 2011-01-12 17:03:41
configuration details:
argp 1
backtrace 1
dlfcn 1
fdatasync 1
libpthread 1
llistxattr 1
setfsid 1
spinlock 1
epoll.h 1
xattr.h 1
st_atim.tv_nsec 1
package-string: glusterfs 3.1.2qa4
/lib64/libc.so.6[0x3a41030280]
/lib64/libc.so.6(strlen+0x30)[0x3a41078d70]
/usr/lib64/libglusterfs.so.0(loc_copy+0x55)[0x2ad6627b1b05]
/usr/lib64/glusterfs/3.1.2qa4/xlator/cluster/replicate.so(afr_stat+0xc7)[0x2aaaaacf3017]
/usr/lib64/glusterfs/3.1.2qa4/xlator/performance/write-behind.so(wb_stat+0x257)[0x2aaaaaf362d7]
/usr/lib64/libglusterfs.so.0(default_stat+0xd0)[0x2ad6627b49b0]
/usr/lib64/libglusterfs.so.0(default_stat+0xd0)[0x2ad6627b49b0]
/usr/lib64/libglusterfs.so.0(default_stat+0xd0)[0x2ad6627b49b0]
/usr/lib64/glusterfs/3.1.2qa4/xlator/debug/io-stats.so(io_stats_stat+0x11e)[0x2aaaab76731e]
/usr/lib64/glusterfs/3.1.2qa4/xlator/nfs/server.so(nfs_fop_stat+0x1ac)[0x2aaaab98d8cc]
/usr/lib64/glusterfs/3.1.2qa4/xlator/nfs/server.so(nfs3_access_resume+0xcf)[0x2aaaab99994f]
/usr/lib64/glusterfs/3.1.2qa4/xlator/nfs/server.so(nfs3_fh_resolve_resume+0x5e)[0x2aaaab9a418e]
/usr/lib64/glusterfs/3.1.2qa4/xlator/nfs/server.so(nfs3_fh_resolve_root+0xb8)[0x2aaaab9a4258]
/usr/lib64/glusterfs/3.1.2qa4/xlator/nfs/server.so(nfs3_access+0x2da)[0x2aaaab99d0ca]
/usr/lib64/glusterfs/3.1.2qa4/xlator/nfs/server.so(nfs3svc_access+0x66)[0x2aaaab99d196]
/usr/lib64/glusterfs/3.1.2qa4/xlator/nfs/server.so(nfs_rpcsvc_handle_rpc_call+0x92)[0x2aaaab9b0322]
/usr/lib64/glusterfs/3.1.2qa4/xlator/nfs/server.so(nfs_rpcsvc_record_update_state+0x155)[0x2aaaab9b04a5]
/usr/lib64/glusterfs/3.1.2qa4/xlator/nfs/server.so(nfs_rpcsvc_conn_data_handler+0x78)[0x2aaaab9b09a8]
/usr/lib64/libglusterfs.so.0[0x2ad6627d0c37]
/usr/lib64/glusterfs/3.1.2qa4/xlator/nfs/server.so(nfs_rpcsvc_stage_proc+0x12)[0x2aaaab9aeaf2]
/lib64/libpthread.so.0[0x3a41806367]
/lib64/libc.so.6(clone+0x6d)[0x3a410d309d]
---------
Comment 1 Shehjar Tikoo 2011-01-27 01:23:54 EST
Please elaborate on the gluster configuration and the workload that was running on the nfs mount point. Thanks.
Comment 2 Shehjar Tikoo 2011-01-27 01:56:23 EST
Better still, try with the stable 3.1.2 release. It could be related to another bug that we saw in the qa releases.
Comment 3 Shehjar Tikoo 2011-05-25 02:00:55 EDT
Resolving. We havent seen this problem in our tests. May have been fixed as part of another patch.

Note You need to log in before you can comment on or make changes to this bug.